[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#637057: Installing php5-idn makes apache2 segfault (if using the php5 module)

Package: php5-idn
Version: 1.2b-6
Severity: critical

I installed this php5 module as a dependency of libphp-simplepie and
since then apache doesn's start anymore. I verified that decommenting
the line in /etc/php5/conf.d/idn.conf makes it work again.

Further inspection seems to indicate that it must not be loaded at the
same time as php5-intl... since loading it without loading php5-intl

This package has been removed from unstable, but maybe we should do in
stable what we did in unstable:
- update the libphp-simplepie dependency to php5-intl
- make php5-intl conflict with php5-idn

-- System Information:
Debian Release: wheezy/sid
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'proposed-updates'), (500, 'unstable'), (500, 'testing'), (500, 'stable'), (150, 'experimental')
Architecture: i386 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Reply to: